Name: supervisor
Summary:  A System for Allowing the Control of Process State on UNIX
Version: 4.2.5
Release:    1%{?dist}
License: BSD and MIT
URL: http://supervisord.org/
Source0: https://pypi.python.org/packages/source/s/%{name}/%{name}-%{version}.tar.gz
Source1: supervisord.service
Source2: supervisord.conf
Source3: supervisor.logrotate
Source4: supervisor.tmpfiles
BuildArch: noarch
BuildRequires: python3-devel
BuildRequires: python3-setuptools
BuildRequires: systemd

Requires: python3-setuptools

%description
The supervisor is a client/server system that allows its users to control a
number of processes on UNIX-like operating systems.

%prep
%autosetup -p1

%build
%py3_build

%install
%py3_install

mkdir -p %{buildroot}/%{_sysconfdir}
mkdir -p %{buildroot}/%{_sysconfdir}/supervisord.d
mkdir -p %{buildroot}/%{_sysconfdir}/logrotate.d/
mkdir -p %{buildroot}%{_unitdir}
mkdir -p %{buildroot}/%{_localstatedir}/log/%{name}
mkdir -p %{buildroot}/%{_rundir}/%{name}
chmod 755 %{buildroot}/%{_localstatedir}/log/%{name}
install -p -m 644 %{SOURCE1} %{buildroot}%{_unitdir}/supervisord.service
install -p -m 644 %{SOURCE2} %{buildroot}/%{_sysconfdir}/supervisord.conf
install -p -m 644 %{SOURCE3} %{buildroot}/%{_sysconfdir}/logrotate.d/supervisor
install -D -p -m 0644 %{SOURCE4} %{buildroot}%{_tmpfilesdir}/%{name}.conf
sed -i s'/^#!.*//' $( find %{buildroot}/%{python3_sitelib}/supervisor/ -type f)

rm -f %{buildroot}%{_prefix}/doc/*.txt

%post
%systemd_post %{name}d.service

%preun
%systemd_preun %{name}d.service

%postun
%systemd_postun %{name}d.service

%files
%doc CHANGES.rst README.rst
%license COPYRIGHT.txt LICENSES.txt
%dir %{_localstatedir}/log/%{name}
%{_unitdir}/supervisord.service
%{python3_sitelib}/supervisor*
%{_bindir}/supervisor*
%{_bindir}/echo_supervisord_conf
%{_bindir}/pidproxy
%{_tmpfilesdir}/%{name}.conf
%config(noreplace) %{_sysconfdir}/supervisord.conf
%dir %{_sysconfdir}/supervisord.d
%dir %{_rundir}/%{name}
%config(noreplace) %{_sysconfdir}/logrotate.d/supervisor

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.2.5-1
- initial build
